ubuntuone-dev-tools (13.10-0ubuntu7) focal; urgency=medium

  * No-change rebuild to generate dependencies on python2.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 11 Jan 2020 18:57:54 +0000

ubuntuone-dev-tools (13.10-0ubuntu6) zesty; urgency=medium

  * debian/patches/pep8: Fix code to pass with latest pycodestyle.

 -- Iain Lane <iain@orangesquash.org.uk>  Wed, 15 Feb 2017 15:23:19 +0000

ubuntuone-dev-tools (13.10-0ubuntu5) yakkety; urgency=medium

  * d/p/fix-coverage-api-changes.patch:
    - Fix breaking changes in python-coverage

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 22 Jun 2016 18:25:28 +0200

ubuntuone-dev-tools (13.10-0ubuntu4) wily; urgency=medium

  * debian/patches/fix-test-failures.patch:
    - Patch to resolve new failures from pylint.

 -- Robert Bruce Park <robert.park@canonical.com>  Thu, 20 Aug 2015 13:10:54 +0100

ubuntuone-dev-tools (13.10-0ubuntu3) utopic; urgency=medium

  * debian/patches/00_bzr-new-pep8.patch:
    - Patch from bzr to resolve new warnings from pep8.

 -- Rodney Dawes <rodney.dawes@ubuntu.com>  Wed, 09 Jul 2014 13:18:41 -0400

ubuntuone-dev-tools (13.10-0ubuntu2) trusty; urgency=medium

  * debian/control:
    - Update standards version.
  * debian/patches/00_bzr-twisted-regression.patch:
    - Update code to work with API breaks in twisted 13.2.0. (LP: #1267982)

 -- Rodney Dawes <rodney.dawes@ubuntu.com>  Fri, 10 Jan 2014 17:26:39 -0500

ubuntuone-dev-tools (13.10-0ubuntu1) saucy; urgency=low

  * New upstream release.

 -- Rodney Dawes <rodney.dawes@ubuntu.com>  Tue, 08 Oct 2013 14:12:27 -0400

ubuntuone-dev-tools (13.09-0ubuntu1) saucy; urgency=low

  * New upstream release.
    - Fixes to work with squid 3.3.8.

 -- Rodney Dawes <rodney.dawes@ubuntu.com>  Thu, 19 Sep 2013 12:50:25 -0400

ubuntuone-dev-tools (13.08-0ubuntu1) saucy; urgency=low

  * New upstream release.
  * debian/control, debian/tests:
    - Add autopkgtest config.

 -- Rodney Dawes <rodney.dawes@ubuntu.com>  Tue, 06 Aug 2013 21:18:52 -0400

ubuntuone-dev-tools (13.07-0ubuntu1) saucy; urgency=low

  * New upstream release.
    - Fix trial code to work with twisted 13.0 and older. (LP: #1199087)

 -- Rodney Dawes <rodney.dawes@ubuntu.com>  Tue, 09 Jul 2013 11:23:53 -0400

ubuntuone-dev-tools (13.05-0ubuntu1) saucy; urgency=low

  * New upstream release.
    - Drop support for pylint.
  * debian/control:
    - Drop dependency on pylint, and depend only on pyflakes.
    - Drop suggests of python-gobject and python-qt4reactor.
  * debian/rules:
    - Re-enable full test run.

 -- Rodney Dawes <rodney.dawes@ubuntu.com>  Mon, 03 Jun 2013 14:46:01 -0400

ubuntuone-dev-tools (4.2.0-0ubuntu1) raring; urgency=low

  * New upstream release.

 -- Rodney Dawes <rodney.dawes@ubuntu.com>  Tue, 26 Mar 2013 17:01:06 -0400

ubuntuone-dev-tools (4.1.91-0ubuntu1) raring; urgency=low

  * New upstream release.
    - Handle squid service quitting before test end better. (LP: #1119486)

 -- Rodney Dawes <rodney.dawes@ubuntu.com>  Thu, 14 Feb 2013 18:47:58 -0500

ubuntuone-dev-tools (4.1.90-0ubuntu1) raring; urgency=low

  * New upstream release.
  * debian/control:
    - Update standards version to 3.9.4.

 -- Rodney Dawes <rodney.dawes@ubuntu.com>  Wed, 30 Jan 2013 17:21:32 -0500

ubuntuone-dev-tools (4.1.0-0ubuntu1) raring; urgency=low

  * New upstream release.
    - Update code per new errors from pep8.
  * debian/rules:
    - Don't run pyflakes checks, as upstream depends on a patch to pyflakes.
  * debian/watch:
    - Update to use stable-4-2 branch for Ubuntu 13.04 releases.

 -- Rodney Dawes <rodney.dawes@ubuntu.com>  Mon, 10 Dec 2012 14:33:56 -0500

ubuntuone-dev-tools (4.0.0-0ubuntu1) quantal; urgency=low

  * New upstream release.
    - Ensure the temp directory option is bytes. (LP: #1058141)

 -- Rodney Dawes <rodney.dawes@ubuntu.com>  Tue, 02 Oct 2012 10:19:49 -0400

ubuntuone-dev-tools (3.99.92-0ubuntu1) quantal; urgency=low

  * New upstream release.

 -- Rodney Dawes <rodney.dawes@ubuntu.com>  Tue, 18 Sep 2012 13:22:53 -0400

ubuntuone-dev-tools (3.99.91-0ubuntu1) quantal; urgency=low

  * New upstream release.
    - Don't use Exception.message attribute. (LP: #1046997)

 -- Rodney Dawes <rodney.dawes@ubuntu.com>  Tue, 11 Sep 2012 14:24:48 -0400

ubuntuone-dev-tools (3.99.90-0ubuntu1) quantal; urgency=low

  * New upstream release.
    - Coerce map usage into lists for both Python versions. (LP: #1042384)
    - Enable the tests to be manually run against Python 3. (LP: #1042436)
    - Enable unicode_literals for text/bytes distinction. (LP: #1039741)
    - Prepare u1lint for Python 3 usage. (LP: #1040144)
    - Convert unicode usage to use the compatibility layer. (LP: #1039765)
    - Update octal literal use for Python 3. (LP: #1039749)
    - Import StringIO from the io module for compatibility. (LP: #1039262) 
    - Use items instead of iteritems for Python 3. (LP: #1039267)
    - Adjust exception handling to work on Python 3. (LP: #1039265)
    - Change to Python 3's print function syntax. (LP: #1039238)
    - Move long usage to int. (LP: #1039251)
    - Fix urllib imports to work on both Python versions. (LP: #1039255)
    - Add a small module for Unicode/bytes distinction. (LP: #1039225)
    - Replace xrange usage with range. (LP: #1039243)

 -- Rodney Dawes <rodney.dawes@ubuntu.com>  Wed, 29 Aug 2012 09:46:24 -0400

ubuntuone-dev-tools (3.99.4-0ubuntu1) quantal; urgency=low

  * New upstream release.
    - Refactor u1trial to allow multiple different test running back-ends.
    - Implement Option handling API that is compatible with twisted trial.
  * debian/copyright:
    - Update to be more compliant with dep5.
  * debian/rules:
    - Update to allow building on older versions of Ubuntu.
    - Use --fail-missing option for dh.

 -- Rodney Dawes <rodney.dawes@ubuntu.com>  Tue, 21 Aug 2012 10:56:31 -0400

ubuntuone-dev-tools (3.99.3-0ubuntu1) quantal; urgency=low

  * New upstream release.

 -- Rodney Dawes <rodney.dawes@ubuntu.com>  Tue, 31 Jul 2012 17:35:02 -0400

ubuntuone-dev-tools (3.99.2-0ubuntu1) quantal; urgency=low

  * New upstream release.

 -- Rodney Dawes <rodney.dawes@ubuntu.com>  Fri, 20 Jul 2012 09:56:12 -0400

ubuntuone-dev-tools (3.99.1-0ubuntu1) quantal-proposed; urgency=low

  * New upstream release.
    - Avoid using /usr/bin/env python in scripts. (LP: #984089)
    - Deafult to more appropriate reactor on OS X and Windows.
    - Fix clean-up of UNIX domain sockets on OS X.

 -- Rodney Dawes <rodney.dawes@ubuntu.com>  Tue, 26 Jun 2012 17:19:57 -0400

ubuntuone-dev-tools (3.99.0-0ubuntu2) quantal; urgency=low

  * debian/control:
    - Add missing depends on python-twisted-web to fix FTBFS.

 -- Rodney Dawes <rodney.dawes@ubuntu.com>  Tue, 05 Jun 2012 13:57:26 -0400

ubuntuone-dev-tools (3.99.0-0ubuntu1) quantal; urgency=low

  * New upstream release.
    - Expose squid startup errors when it fails. (LP: #985004)
    - Default to gi/gtk3 reactors and fallback to glib/gtk2 on Linux.
    - Allow using domain sockets instead of TCP in tests. (LP: #988257)
    - Clean up ServerTestCase properly to avoid dirty reactor. (LP: #1002834)
  * debian/watch:
    - Update watch file to use stable-4-0 series for Quantal.

 -- Rodney Dawes <rodney.dawes@ubuntu.com>  Tue, 05 Jun 2012 13:17:20 -0400

ubuntuone-dev-tools (3.0.0-0ubuntu1) precise; urgency=low

  * New upstream release.

 -- Rodney Dawes <rodney.dawes@ubuntu.com>  Wed, 11 Apr 2012 13:54:28 -0400

ubuntuone-dev-tools (2.99.92-0ubuntu2) precise; urgency=low

  * debian/copyright, debian/rules:
    - Don't install the separate license files and only use copyright.

 -- Rodney Dawes <rodney.dawes@ubuntu.com>  Wed, 04 Apr 2012 10:20:32 -0400

ubuntuone-dev-tools (2.99.92-0ubuntu1) precise; urgency=low

  * New upstream release.
    - Include proper license exception for linking to OpenSSL. (LP: #968555)
  * debian/copyright:
    - Include same license exception clause.
  * debian/rules:
    - Install the new license files.

 -- Rodney Dawes <rodney.dawes@ubuntu.com>  Wed, 04 Apr 2012 09:30:32 -0400

ubuntuone-dev-tools (2.99.91-0ubuntu1) precise; urgency=low

  * New upstream release.

 -- Rodney Dawes <rodney.dawes@ubuntu.com>  Wed, 21 Mar 2012 11:01:24 -0400

ubuntuone-dev-tools (2.99.90-0ubuntu1) precise; urgency=low

  * New upstream release.
  * debian/control:
    - Bump standards version to 3.9.3.

 -- Rodney Dawes <rodney.dawes@ubuntu.com>  Wed, 07 Mar 2012 15:39:26 -0500

ubuntuone-dev-tools (2.99.5-0ubuntu1) precise; urgency=low

  * New upstream release.

 -- Rodney Dawes <rodney.dawes@ubuntu.com>  Tue, 21 Feb 2012 17:12:55 -0500

ubuntuone-dev-tools (2.99.4-0ubuntu1) precise; urgency=low

  * New upstream release.

 -- Rodney Dawes <rodney.dawes@ubuntu.com>  Wed, 15 Feb 2012 15:48:51 -0500

ubuntuone-dev-tools (2.99.3-0ubuntu1) precise; urgency=low

  * New upstream release.
    - Support for new gireactor/gtk3reactor in twisted 12. (LP: #851187)

 -- Rodney Dawes <rodney.dawes@ubuntu.com>  Tue, 07 Feb 2012 10:38:15 -0500

ubuntuone-dev-tools (2.99.2-0ubuntu1) precise; urgency=low

  * New upstream release.
    - Provide SquidTestCase for testing proxy support. (LP: #884963)
    - Provide batch scripts for u1trial and u1lint on Windows. (LP: #816020)
  * Fix a few lintian warnings and dh argument ordering.

 -- Rodney Dawes <rodney.dawes@ubuntu.com>  Mon, 23 Jan 2012 12:28:34 +0100

ubuntuone-dev-tools (2.99.1-0ubuntu1) precise; urgency=low

  * New upstream release.
    - Depends on dirspec now (LP: #888619)
    - Pass options through to trial (LP: #890786)
  * debian/control:
    - Move python-gobject to Suggests
    - Suggest python-qt4reactor
  * debian/rules:
    - Convert to pure dh
    - Run unit tests during build

 -- Rodney Dawes <rodney.dawes@ubuntu.com>  Wed, 04 Jan 2012 13:12:03 -0500

ubuntuone-dev-tools (0.2.0-0ubuntu1) oneiric; urgency=low

  * New upstream release.
    - Fixes FTBFS lint issues with new pylint (LP: #848067)
    - Accept multiple module arguments in u1trial (LP: #833256)
    - Allow ignoring paths in u1lint (LP: #809561)
    - Ensure we never connect to the real session bus (LP: #789299)
    - Add support for selecting which reactor to use (LP: #788682)
  * Add python-qt4 to Build-Depends

 -- Rodney Dawes <rodney.dawes@ubuntu.com>  Thu, 15 Sep 2011 16:51:21 -0400

ubuntuone-dev-tools (0.1.3-0ubuntu1) natty; urgency=low

  * New upstream release.

 -- Rodney Dawes <rodney.dawes@ubuntu.com>  Fri, 11 Feb 2011 16:50:15 -0500

ubuntuone-dev-tools (0.1.2-0ubuntu1) natty; urgency=low

  * New upstream release.
  * Fix debian/watch to use the right file extension.
  * Remove python-oauth as a dependency.
  * Update build and runtime dependencies.
  * Require pep8 to run tests during build.
  * Use ./run-tests during the build instead of setup.py lint to run tests.

 -- Rodney Dawes <rodney.dawes@ubuntu.com>  Mon, 29 Nov 2010 13:43:06 -0500

ubuntuone-dev-tools (0.1.1-0ubuntu1) maverick; urgency=low

  * Initial packaging for ubuntuone-dev-tools. (LP:#610576)

 -- Rodney Dawes <rodney.dawes@ubuntu.com>  Mon, 02 Aug 2010 13:45:54 -0400
